Package org.eclipse.microprofile.rest.client.tck.providers

# Class InjectedSimpleFeature

java.lang.Object
org.eclipse.microprofile.rest.client.tck.providers.InjectedSimpleFeature

All Implemented Interfaces:
  `jakarta.ws.rs.core.Feature`

public class InjectedSimpleFeature extends Object implements jakarta.ws.rs.core.Feature

## Constructor Summary

Constructors
Constructor
Description
`InjectedSimpleFeature()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`configure(jakarta.ws.rs.core.FeatureContext featureContext)`
`static void`
`reset()`
`static boolean`
`wasInvoked()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InjectedSimpleFeature

public InjectedSimpleFeature()

## Method Details

### configure

public boolean configure(jakarta.ws.rs.core.FeatureContext featureContext)

Specified by:
  `configure` in interface `jakarta.ws.rs.core.Feature`

### wasInvoked

public static boolean wasInvoked()

### reset

public static void reset()